--- title: "Get the Packet Capture Settings" slug: "get-the-packet-capture-settings-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/get-the-packet-capture-settings-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Packet Capture Settings This URL retrieves the packet capture settings. ### Resource URL GET /sensor//packetcapture ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor id | Number | Yes | Payload Request Parameters: None ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Status of packet capture | String | | `capTureSettings` | Packet capture settings | Object | | `rules` | List of packet capture rule | Object | Details of capTureSettings: | Field Name | Description | Data Type | | --- | --- | --- | | `monitoringSPANPort` | Monitoring SPAN port details | Object | | `manager` | Manager settings | Object | | `scpServer` | SCP server settings | Object | Details of rules: | Field Name | Description | Data Type | | --- | --- | --- | | `captureRule` | List of rules | ObjectList | Details of monitoringSPANPort: | Field Name | Description | Data Type | | --- | --- | --- | | `port` | Monitoring SPAN port | String | | `captureDuration` | Duration details | Object | Details of captureDuration: | Field Name | Description | Data Type | | --- | --- | --- | | `captureDurationInMinutes` | Capture duration | Number | | `runTillExplicitlyReleased` | Run until released | Boolean | Details of Manager: | Field Name | Description | Data Type | | --- | --- | --- | | `captureSizeinMB` | Capture size | Number | Details of scpServer: | Field Name | Description | Data Type | | --- | --- | --- | | `scpServerIP` | IP of SCP server | String | | `scpServerUserName` | SCP user name | String | | `scpServerPassword` | SCP server password | String | | `captureSizeinMB` | Capture size | Number | Details of captureRule: | Field Name | Description | Data Type | | --- | --- | --- | | `ruleId` | Rule id | Number | | `monitoringPort` | Monitoring port | String | | `traffic` | Traffic | String | | `protocol` | Protocol | String | | `ipVersion` | IP version | String | | `fragmentsOnly` | Fragments only | Boolean | | `sourceIP` | Source IP | String | | `sourceMask` | Source mask | Number | | `sourcePort` | Source port | Number | | `destinationIP` | Destination IP | String | | `destinationMask` | Destination mask | Number | | `destinationPort` | Destination port | Number | | `vlanId` | VLAN id | Number | | `protocolNumber` | Protocol number | Number | ### Example **Request** GET [https:///sdkapi/sensor/1001/packetcapture](https://<NSM_IP>/sdkapi/sensor/1001/packetcapture) **Response** ``` { "status": "Not yet started", "capTureSettings": { "monitoringSPANPort": { "port": "Capturing Disabled", "captureDuration": { "captureDurationInMinutes": 120, "runTillExplicitlyReleased": false } }, "manager": null, "scpServer": null }, "rules": { "captureRule":       [           {               "ruleId": 716,               "monitoringPort": "ALL",               "traffic": "ALL",               "protocol": "TCP",               "ipVersion": "IPV_6",               "fragmentsOnly": true,               "sourceIP": "0.0.0.0",               "sourceMask": 0,               "sourcePort": 0,               "destinationIP": "0.0.0.0",               "destinationMask": 0,               "destinationPort": 0,               "vlanId": 0,               "protocolNumber": 0           },           {               "ruleId": 717,               "monitoringPort": "ALL",               "traffic": "ARP",               "protocol": "TCP",               "ipVersion": "IPV_6",               "fragmentsOnly": true,               "sourceIP": "0.0.0.0",               "sourceMask": 0,               "sourcePort": 0,               "destinationIP": "0.0.0.0",               "destinationMask": 0,               "destinationPort": 0,               "vlanId": 0,               "protocolNumber": 0           } ]   } } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is inactive | | 3 | 400 | 6201 | Packet capture not supported on this Sensor |